(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     15887,        502]
NotebookOptionsPosition[     14037,        445]
NotebookOutlinePosition[     14438,        462]
CellTagsIndexPosition[     14395,        459]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"list", "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"me", ",", "you"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "\"\<alfa\>\"", "}"}], ",", "\"\<romeo\>\""}], "}"}]}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"list", "[", 
  RowBox[{"[", 
   RowBox[{
    RowBox[{"-", "1"}], ",", "1", ",", "1"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.526701605265625*^9, 3.526701613609375*^9}, {
  3.526701697046875*^9, 3.526701726578125*^9}, {3.526701796953125*^9, 
  3.526701827859375*^9}, {3.526701884484375*^9, 3.5267019701875*^9}}],

Cell[BoxData[
 RowBox[{"list", "[", 
  RowBox[{"[", "0", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.52670199740625*^9, 3.5267020339375*^9}}],

Cell[BoxData[
 RowBox[{"FullForm", "[", "list", "]"}]], "Input",
 CellChangeTimes->{{3.526702190703125*^9, 3.526702196140625*^9}}],

Cell[BoxData[
 RowBox[{"FullForm", "[", 
  RowBox[{"a", "*", "b"}], "]"}]], "Input",
 CellChangeTimes->{{3.526702108640625*^9, 3.5267021156875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", "*", "b"}], "=", "3"}]], "Input",
 CellChangeTimes->{{3.526702065296875*^9, 3.5267020741875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"a", "*", "b"}], ")"}], "[", 
  RowBox[{"[", "0", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.526702158328125*^9, 3.526702163359375*^9}}],

Cell[BoxData[{
 RowBox[{"sol", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["x", "2"], "+", 
      RowBox[{"2", " ", "x"}], "+", "5"}], "==", "0"}], ",", "x"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"sol1", "=", 
  RowBox[{"sol", "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.5267023955*^9, 3.5267023968125*^9}, {
  3.526702436796875*^9, 3.526702468625*^9}, {3.526702579734375*^9, 
  3.526702586328125*^9}, {3.52670278671875*^9, 3.526702793015625*^9}}],

Cell[BoxData[
 RowBox[{"myx", "=", 
  RowBox[{"x", "/.", "sol1"}]}]], "Input",
 CellChangeTimes->{{3.52670284734375*^9, 3.5267028515625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SuperscriptBox["x", "2"], "+", 
   RowBox[{"2", "x"}]}], "/.", "sol1"}]], "Input",
 CellChangeTimes->{{3.526702644109375*^9, 3.526702660640625*^9}, {
  3.52670283525*^9, 3.52670283634375*^9}}],

Cell[BoxData[
 RowBox[{"a", "->", "5"}]], "Input",
 CellChangeTimes->{{3.526702698125*^9, 3.526702723703125*^9}}],

Cell[BoxData[
 RowBox[{"?", "/."}]], "Input",
 CellChangeTimes->{{3.52670266709375*^9, 3.526702668234375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Plus", "@@", 
   RowBox[{"Abs", "[", 
    RowBox[{"x", "/.", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "+", 
            SuperscriptBox["t", "2"]}], ")"}], 
          SuperscriptBox["x", "2"]}], "+", " ", 
         FractionBox["x", 
          SqrtBox[
           RowBox[{"1", "+", 
            SuperscriptBox["t", "2"]}]]], "+", "t"}], "==", "0"}], ",", "x"}],
       "]"}]}], "]"}]}], "//", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{"#", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<time (s)\>\"", ",", "\"\<value\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"RGBColor", "[", 
         RowBox[{"0.5", ",", "0.5", ",", "0"}], "]"}], ",", "Dashed", ",", 
        RowBox[{"Thickness", "[", "0.01", "]"}]}], "}"}]}]}], "]"}], 
   "&"}]}]], "Input",
 CellChangeTimes->{{3.52670307496875*^9, 3.526703154046875*^9}, {
  3.52670488840625*^9, 3.526704899609375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"x", "=", "1"}], ";"}]], "Input",
 CellChangeTimes->{{3.5267035721875*^9, 3.526703576421875*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"a", "*", "x"}], "\[Equal]", "1"}], ",", "x"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.526703663171875*^9, 3.52670366703125*^9}, {
  3.526703697890625*^9, 3.526703717875*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "+", "b"}], "\[Equal]", "x"}], ",", 
     RowBox[{
      RowBox[{"y", "-", "b"}], "\[Equal]", 
      RowBox[{"2", "a"}]}]}], "}"}], ",", "a", ",", "y"}], "]"}]], "Input",
 CellChangeTimes->{{3.526703725515625*^9, 3.526703778140625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "x", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqn", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", 
        SuperscriptBox["t", "2"]}], ")"}], 
      SuperscriptBox["x", "2"]}], "+", " ", 
     FractionBox["x", 
      SqrtBox[
       RowBox[{"1", "+", 
        SuperscriptBox["t", "2"]}]]], "+", "t"}], "==", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{"eqn", ",", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"absx1", "=", 
   RowBox[{
    RowBox[{"Abs", "[", "x", "]"}], "/.", 
    RowBox[{"sol", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"absx2", "=", 
   RowBox[{
    RowBox[{"Abs", "[", "x", "]"}], "/.", 
    RowBox[{"sol", "[", 
     RowBox[{"[", "2", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dataforplot", "=", 
   RowBox[{"absx1", "+", "absx2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{"dataforplot", ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", 
     RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<time (s)\>\"", ",", "\"\<value\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Black", ",", 
      RowBox[{"Dashing", "[", 
       RowBox[{"{", 
        RowBox[{"0.01", ",", "0.04", ",", "0.02"}], "}"}], "]"}], ",", 
      RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.52670318575*^9, 3.526703196625*^9}, {
   3.52670356040625*^9, 3.52670364909375*^9}, {3.526703891640625*^9, 
   3.5267039503125*^9}, {3.52670410334375*^9, 3.5267041509375*^9}, {
   3.526704198703125*^9, 3.526704216890625*^9}, 3.526704380484375*^9, {
   3.526704494828125*^9, 3.526704553296875*^9}, {3.5267047360625*^9, 
   3.52670473634375*^9}, {3.5267047989375*^9, 3.526704843890625*^9}, {
   3.526705001609375*^9, 3.526705055203125*^9}}],

Cell[BoxData["Dashing"], "Input",
 CellChangeTimes->{{3.526704546703125*^9, 3.526704548578125*^9}, {
  3.526704975328125*^9, 3.526704981359375*^9}}],

Cell[BoxData[
 RowBox[{"Options", "[", "Plot", "]"}]], "Input",
 CellChangeTimes->{{3.526704390765625*^9, 3.52670439440625*^9}}],

Cell[BoxData[
 RowBox[{"a1", "=", 
  RowBox[{"Random", "[", "]"}]}]], "Input",
 CellChangeTimes->{{3.526703212953125*^9, 3.526703215671875*^9}, 
   3.52670327596875*^9, {3.526703338828125*^9, 3.5267033493125*^9}}],

Cell[BoxData[
 RowBox[{"a2", ":=", 
  RowBox[{"Random", "[", "]"}]}]], "Input",
 CellChangeTimes->{{3.52670335284375*^9, 3.526703383171875*^9}}],

Cell[BoxData["a2"], "Input",
 CellChangeTimes->{{3.52670341753125*^9, 3.526703417734375*^9}}],

Cell[BoxData[
 RowBox[{"?", "a2"}]], "Input",
 CellChangeTimes->{{3.52670343203125*^9, 3.526703450625*^9}}],

Cell[BoxData[
 RowBox[{"?", "=="}]], "Input",
 CellChangeTimes->{{3.526703494875*^9, 3.526703498046875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"2", "x"}], "+", 
  RowBox[{"3", "x"}]}]], "Input",
 CellChangeTimes->{{3.526705336984375*^9, 3.526705339453125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SuperscriptBox[
    RowBox[{"Cos", "[", "5", "]"}], "2"], "+", 
   SuperscriptBox[
    RowBox[{"Sin", "[", "5", "]"}], "2"]}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.526705368265625*^9, 3.526705386953125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "func", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"func", "[", "x_", "]"}], ":=", 
  SuperscriptBox["x", "2"]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"func", "[", "2", "]"}]}], "Input",
 CellChangeTimes->{{3.52670556028125*^9, 3.526705569578125*^9}, {
   3.526705601125*^9, 3.526705618359375*^9}, 3.526705732203125*^9, {
   3.526705832671875*^9, 3.5267058350625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "func", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"func", "[", "x_", "]"}], "=", 
  SuperscriptBox["x", "2"]}], "\[IndentingNewLine]", 
 RowBox[{"func", "[", "2", "]"}]}], "Input",
 CellChangeTimes->{{3.526705682203125*^9, 3.526705687078125*^9}, 
   3.5267057340625*^9, {3.526705795671875*^9, 3.5267057981875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "u", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"u", "[", "t_", "]"}], ":=", 
   RowBox[{"230", "*", 
    SqrtBox["2"], "*", 
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"314", "t"}], "+", "0.6"}], "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.526705879984375*^9, 3.5267059223125*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"u", "[", "t", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "0.08"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.526705928203125*^9, 3.526705944296875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "a", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "0", "]"}], "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "n_", "]"}], ":=", 
   RowBox[{"n", "*", 
    RowBox[{"a", "[", 
     RowBox[{"n", "-", "1"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a", "[", "3", "]"}], "-", 
  RowBox[{"3", "!"}]}]}], "Input",
 CellChangeTimes->{{3.52670600925*^9, 3.526706037796875*^9}, {
  3.5267060965625*^9, 3.5267060988125*^9}, {3.526706139171875*^9, 
  3.526706141390625*^9}}],

Cell[BoxData[
 RowBox[{"Trace", "[", 
  RowBox[{"a", "[", "3", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.526706143484375*^9, 3.526706154*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{"ape", ",", 
   RowBox[{"{", "12", "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.52670628228125*^9, 3.526706290546875*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   SuperscriptBox["i", "2"], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.52670632265625*^9, 3.52670633553125*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   SuperscriptBox["i", "2"], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", "5", ",", "0.5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.526706371453125*^9, 3.5267063776875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rank", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"mat", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     SuperscriptBox["Pi", "i"], "+", 
     SuperscriptBox["E", "j"]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "rank"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "rank"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", "mat", "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.526706427140625*^9, 3.52670647196875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"$RecursionLimit", "=", "10000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ClearAll", "[", "a", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "0", "]"}], "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "n_", "]"}], ":=", 
   RowBox[{"n", "*", 
    RowBox[{"a", "[", 
     RowBox[{"n", "-", "1"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"time", "=", 
   RowBox[{"Timing", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"a", "[", "i", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "800"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"time", "[", 
  RowBox[{"[", "1", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.52670663884375*^9, 3.52670665153125*^9}, {
  3.52670677940625*^9, 3.526706819515625*^9}}],

Cell[BoxData["0.6869999999999999`"], "Output",
 CellChangeTimes->{{3.5267067845*^9, 3.526706820625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "a", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "0", "]"}], "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"a", "[", "n", "]"}], "=", 
    RowBox[{"n", "*", 
     RowBox[{"a", "[", 
      RowBox[{"n", "-", "1"}], "]"}]}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"time", "=", 
   RowBox[{"Timing", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"a", "[", "i", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "800"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"time", "[", 
  RowBox[{"[", "1", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.526706835734375*^9, 3.52670684040625*^9}}],

Cell[BoxData["2.0773313624822265`*^-16"], "Output",
 CellChangeTimes->{3.526706841375*^9}]
}, Open  ]]
},
WindowSize->{1050, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->2.3999996185302734`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 639, 17, 110, "Input"],
Cell[1187, 39, 143, 3, 68, "Input"],
Cell[1333, 44, 130, 2, 68, "Input"],
Cell[1466, 48, 148, 3, 68, "Input"],
Cell[1617, 53, 136, 3, 68, "Input"],
Cell[1756, 58, 190, 5, 97, "Input"],
Cell[1949, 65, 536, 14, 118, "Input"],
Cell[2488, 81, 141, 3, 98, "Input"],
Cell[2632, 86, 230, 6, 101, "Input"],
Cell[2865, 94, 113, 2, 98, "Input"],
Cell[2981, 98, 110, 2, 98, "Input"],
Cell[3094, 102, 1204, 36, 381, "Input"],
Cell[4301, 140, 131, 3, 98, "Input"],
Cell[4435, 145, 287, 7, 140, "Input"],
Cell[4725, 154, 348, 10, 98, "Input"],
Cell[5076, 166, 2094, 57, 544, "Input"],
Cell[7173, 225, 148, 2, 68, "Input"],
Cell[7324, 229, 128, 2, 98, "Input"],
Cell[7455, 233, 213, 4, 98, "Input"],
Cell[7671, 239, 144, 3, 98, "Input"],
Cell[7818, 244, 93, 1, 98, "Input"],
Cell[7914, 247, 107, 2, 98, "Input"],
Cell[8024, 251, 108, 2, 98, "Input"],
Cell[8135, 255, 151, 4, 98, "Input"],
Cell[8289, 261, 260, 7, 101, "Input"],
Cell[8552, 270, 499, 11, 227, "Input"],
Cell[9054, 283, 450, 10, 227, "Input"],
Cell[9507, 295, 378, 11, 150, "Input"],
Cell[9888, 308, 237, 6, 98, "Input"],
Cell[10128, 316, 609, 17, 225, "Input"],
Cell[10740, 335, 146, 3, 98, "Input"],
Cell[10889, 340, 173, 4, 98, "Input"],
Cell[11065, 346, 219, 6, 105, "Input"],
Cell[11287, 354, 241, 6, 105, "Input"],
Cell[11531, 362, 532, 14, 230, "Input"],
Cell[CellGroupData[{
Cell[12088, 380, 886, 26, 309, "Input"],
Cell[12977, 408, 104, 1, 97, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13118, 414, 810, 25, 267, "Input"],
Cell[13931, 441, 90, 1, 100, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
