(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7435,        229]
NotebookOptionsPosition[      7006,        211]
NotebookOutlinePosition[      7405,        228]
CellTagsIndexPosition[      7362,        225]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"mm", "=", "0.001"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dDrop", "=", 
   RowBox[{"1", "mm"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Volume", "=", 
   RowBox[{
    FractionBox[
     RowBox[{"4", "Pi"}], "3"], "*", 
    SuperscriptBox[
     RowBox[{"(", 
      FractionBox["dDrop", "2"], ")"}], "3"]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Volume is: \>\"", ",", 
    FractionBox["Volume", 
     SuperscriptBox["mm", "3"]], ",", 
    "\"\< \!\(\*SuperscriptBox[\(mm\), \(3\)]\)\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"densityH20", "=", "1000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mass", "=", 
   RowBox[{"Volume", "*", "densityH20"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<mass is: \>\"", ",", 
   FractionBox["mass", 
    SuperscriptBox["10", 
     RowBox[{"-", "6"}]]], ",", "\"\< mg\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Area", "=", 
   RowBox[{"Pi", "*", 
    SuperscriptBox[
     RowBox[{"(", 
      FractionBox["dDrop", "2"], ")"}], "2"]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gravityAcc", "=", "9.81"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cx", "=", "0.47"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temperature", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"densityAir", "=", 
    FractionBox["341", 
     RowBox[{"Temperature", "+", "273"}]]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ForceOfGravity", "=", 
   RowBox[{"mass", "*", "gravityAcc"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DrugForce", "=", 
   RowBox[{"cx", "*", 
    FractionBox["1", "2"], "*", "densityAir", "*", "Area", "*", 
    SuperscriptBox[
     RowBox[{
      RowBox[{"x", "'"}], "[", "t", "]"}], "2"]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TotalForce", "=", 
   RowBox[{"ForceOfGravity", "-", "DrugForce"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqn", "=", 
   RowBox[{
    RowBox[{"mass", "*", 
     RowBox[{
      RowBox[{"x", "''"}], "[", "t", "]"}]}], "==", "TotalForce"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"init1", "=", 
   RowBox[{
    RowBox[{"x", "[", "0", "]"}], "\[Equal]", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"init2", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"tmax", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eqn", ",", "init1", ",", "init2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "[", "t", "]"}], ",", 
       RowBox[{
        RowBox[{"x", "'"}], "[", "t", "]"}], ",", 
       RowBox[{
        RowBox[{"x", "''"}], "[", "t", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "'"}], "[", "t", "]"}], "/.", "sol"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<t (s)\>\"", ",", 
      "\"\<v (m.\!\(\*SuperscriptBox[\(s\), \(-1\)]\))\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Magenta", ",", "Thick"}], "}"}]}], ",", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.52730678978125*^9, 3.5273068231875*^9}, {
   3.5273068763125*^9, 3.527306976765625*^9}, {3.52730710328125*^9, 
   3.52730724253125*^9}, {3.527307310390625*^9, 3.527307359484375*^9}, {
   3.52730739678125*^9, 3.52730742675*^9}, {3.52730759134375*^9, 
   3.527307595765625*^9}, {3.527307701265625*^9, 3.527307731015625*^9}, {
   3.527307798*^9, 3.52730783171875*^9}, 3.52730997884375*^9, 
   3.527310037859375*^9, 3.527310096890625*^9, {3.527310412421875*^9, 
   3.527310420875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{"EuSt", ",", "dery"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", "1."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nSteps", "=", "100"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]t", "=", 
   FractionBox["tmax", 
    RowBox[{"nSteps", "-", "1"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dery", "[", 
    RowBox[{"{", 
     RowBox[{"t_", ",", "y_"}], "}"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"-", "5"}], "y"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"EuSt", "[", 
    RowBox[{"par", ":", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "y_"}], "}"}]}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"t", "+", "\[CapitalDelta]t"}], ",", 
     RowBox[{"y", "+", 
      RowBox[{"\[CapitalDelta]t", "*", 
       RowBox[{"dery", "[", "par", "]"}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"initialState", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}]}], ";", 
  RowBox[{"(*", 
   RowBox[{"{", 
    RowBox[{"t0", ",", "y0"}], "}"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"solution", "=", 
   RowBox[{"NestList", "[", 
    RowBox[{"EuSt", ",", "initialState", ",", "nSteps"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", "solution", "]"}]}], "Input",
 CellChangeTimes->{{3.527311066625*^9, 3.52731117128125*^9}, {
  3.52731126259375*^9, 3.52731139778125*^9}, {3.527311444875*^9, 
  3.52731147315625*^9}, {3.527311573*^9, 3.5273115865625*^9}}],

Cell[BoxData[
 RowBox[{"NestList", "[", 
  RowBox[{"f", ",", "x0", ",", "nSteps"}], "]"}]], "Input",
 CellChangeTimes->{{3.527311483375*^9, 3.527311489375*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Homework", ":", " ", 
   RowBox[{"solve", " ", "some", " ", 
    RowBox[{"diff", ".", " ", "eqn"}], " ", "with", " ", "known", " ", 
    "exact", " ", "solution", " ", "exactly", " ", "and", " ", "using", " ", 
    "EuSt", " ", "and", " ", "compare", " ", "the", " ", "results", " ", "in",
     " ", "one", " ", "graph"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.527311600671875*^9, 3.527311667265625*^9}}]
},
WindowSize->{1108, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->2.000000238418579,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 4237, 126, 1173, "Input"],
Cell[4785, 148, 1597, 46, 397, "Input"],
Cell[6385, 196, 160, 3, 83, "Input"],
Cell[6548, 201, 454, 8, 92, "Input"]
}
]
*)

(* End of internal cache information *)
